<?php

include '../../../script/conexion.php';

$nombre_usuario = $_POST['nombre_usuario'];
$fecha = $_POST['fecha'];
$nombre_tercero =  $_POST['nombre_tercero'];
$observacion = $_POST['observacion'];

$estado = 'Proceso';
$panel_impresion = 'No';
$documento_guia = 'No aplica';



// RECUPERAR CODIGO DE LA ULTIMA COMPRA
$sql3cc = "SELECT numero_pedido FROM pedido WHERE numero_pedido=(SELECT  MAX(numero_pedido) as mayor FROM pedido)";
$query3cc = mysqli_query($conn, $sql3cc);
$row3cc = $query3cc->fetch_assoc();

// SUMAR PARA EL CODIGO SIGUIENTE DE LA COMPRA, DE ACUERDO AL CODIGO RECUPERADO EN LA CONSULTA ANTERIOR
$numero = intval(preg_replace('/[^0-9]+/', '', $row3cc['numero_pedido']), 10);
$sumado = $numero + 1;

// CONDICION PARA SABER CUANTOS CEROS DEBE LLEVAR EL CODIGO DE COMPRA A LA IZQUIERDA

$codigo = "$sumado";




$sql = "INSERT INTO pedido(id, nombre_usuario, alm_nombre_usuario, fecha, numero_pedido, nombre_tercero, observacion,"
        . " estado, panel_impresion, documento_guia) "
        . "VALUES "
        . "(NULL, NULL, '$nombre_usuario', '$fecha', '$codigo', '$nombre_tercero', '$observacion',"
        . " '$estado', '$panel_impresion', '$documento_guia')";
if ($conn->query($sql) === TRUE) {

    $sql2 = "SELECT MAX(id) as id FROM pedido WHERE alm_nombre_usuario='$nombre_usuario' AND fecha ='$fecha' AND nombre_tercero='$nombre_tercero'";
    $query2 = $conn->query($sql2);
    $row2 = $query2->fetch_assoc();

    echo '<script language = javascript>
                    self.location = "../pedido-detalle.php?id_pedido=' . $row2['id'] . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}

